Summary:       Manipulate netfilter connection tracking table and run High Availability
Name:          conntrack-tools
Version:       1.4.7
Release:       2%{?dist}
License:       GPLv2
URL:           http://conntrack-tools.netfilter.org/
Source0:       http://netfilter.org/projects/%{name}/files/%{name}-%{version}.tar.bz2
Source1:       conntrackd.service
Source2:       conntrackd.conf

BuildRequires: autoconf automake libtool gcc libnetfilter_queue-devel
BuildRequires: libnfnetlink-devel libnetfilter_conntrack-devel libmnl-devel
BuildRequires: libnetfilter_cttimeout-devel libnetfilter_cthelper-devel
BuildRequires: libtirpc-devel systemd-devel pkgconfig bison flex systemd make

%{?systemd_requires}
Provides:      conntrack = 1.0-1

%description
With conntrack-tools you can setup a High Availability cluster and synchronize conntrack
state between multiple firewalls.

The conntrack-tools package contains two programs:
- conntrack: the command line interface to interact with the connection tracking system.
- conntrackd: the connection tracking userspace daemon that can be used to deploy highly
              available GNU/Linux firewalls and collect statistics of the firewall use.

conntrack is used to search, list, inspect and maintain the netfilter connection tracking
subsystem of the Linux kernel. Using conntrack, you can dump a list of all (or a filtered
selection  of) currently tracked connections, delete connections from the state table, 
and even add new ones.
In addition, you can also monitor connection tracking events, e.g. show an event message
(one line) per newly established connection.

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -fi
%configure \
    --disable-static \
    --enable-systemd \
    %{nil}

%make_build
chmod 644 doc/sync/primary-backup.sh

%install
%make_install
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
mkdir -p %{buildroot}%{_sysconfdir}/conntrackd
install -d -m 0755 %{buildroot}%{_unitdir}
install -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/
install -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/conntrackd/

%post
%systemd_post conntrackd.service

%preun
%systemd_preun conntrackd.service

%postun
%systemd_postun conntrackd.service 

%files
%license COPYING
%doc AUTHORS TODO doc
%dir %{_sysconfdir}/conntrackd
%config(noreplace) %{_sysconfdir}/conntrackd/conntrackd.conf
%{_unitdir}/conntrackd.service
%{_sbindir}/conntrack
%{_sbindir}/conntrackd
%{_sbindir}/nfct
%dir %{_libdir}/conntrack-tools
%{_libdir}/conntrack-tools/*
%{_mandir}/man5/*
%{_mandir}/man8/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.7-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Jun 21 2023 kianli <kianli@tencent.com> - 1.4.7-1
- Upgrade to 1.4.7

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.6-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.6-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 19 2022 Shuo Wang <abushwang@tencent.com> - 1.4.6-1
- initial build
